Subject: Re: [RFC/PATCH] powerpc: consistent memory mapping.

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 10 Dec 2008 09:07:07 +1100

On Tue, 2008-12-09 at 21:23 +0300, Ilya Yanok wrote:
> Defining the start virtual address of the consistent memory
> in configs leads to overlapping of the consistent area with
> the other virtual regions (fixmap, pkmap, vmalloc). Defaults from
> current kernel just set consistent memory area to be somewhere
> high in the vmalloc area and then you need to pray there will be
> not enough vmalloc allocations to overlap.

 .../...

What about just ripping that consistent memory implementation out
completely and using the normal vmalloc/ioremap allocator instead ?

Any reason not to ?

Cheers,
Ben.